<template>
    <div style="background: white; border-radius: 10px;">

        <div style="margin-left: auto; margin-right: 28px; padding-top: 25px; width: 20px">
            <div style="background-color: red; width: 20px; height: 20px; border-radius: 50%; 
                        text-align: center; font-size: 14px;">
                <strong class="slds-m-top_small"
                    style="color:white; text-align:center; vertical-align:center;">{itemsinCart}</strong>
            </div>
        </div>

        <div style="text-align:right; margin-right: 30px">
            <a href="JavaScript:void(0);" onclick={navigateToCartDetail}>
            <img src={cart} height="30" width="50" />
            </a>
        </div>


        <div class="slds-m-left_small slds-m-right_small slds-m-bottom_small">
            <c-beer-search onsearch={handleEvent}></c-beer-search>
        </div>
        <div class="slds-m-left_small slds-m-right_small slds-m-bottom_small">
            <template if:true={beerRecords}>
                <div class="slds-grid slds-wrap">
                    <template for:each={beerRecords} for:item="item">
                        <div class="slds-col slds-size_1-of-3 " key={item.Id}>
                            <c-beer-tile beer-record={item} oncart={addToCart}></c-beer-tile>
                        </div>
                    </template>
                </div>
            </template>
        </div>
    </div>
</template>